Bug 1478633 - [abrt] gnome-shell: meta_monitor_mode_get_resolution(): gnome-shell killed by signal 11
[abrt] gnome-shell: meta_monitor_mode_get_resolution(): gnome-shell killed by...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
27
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e0dd9c672ac3cbb325f9c1ce863...
:
Depends On:
Blocks: F27FinalBlocker/FinalBlocker
  Show dependency treegraph
 
Reported: 2017-08-05 07:19 EDT by Joachim Frieben
Modified: 2017-10-17 15:58 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-17 15:58:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.28 KB, text/plain)
2017-08-05 07:19 EDT, Joachim Frieben
no flags Details
File: cgroup (289 bytes, text/plain)
2017-08-05 07:19 EDT, Joachim Frieben
no flags Details
File: core_backtrace (29.01 KB, text/plain)
2017-08-05 07:19 EDT, Joachim Frieben
no flags Details
File: cpuinfo (866 bytes, text/plain)
2017-08-05 07:19 EDT, Joachim Frieben
no flags Details
File: dso_list (25.72 KB, text/plain)
2017-08-05 07:20 EDT, Joachim Frieben
no flags Details
File: environ (3.49 KB, text/plain)
2017-08-05 07:20 EDT, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-05 07:20 EDT, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-05 07:20 EDT, Joachim Frieben
no flags Details
File: maps (108.05 KB, text/plain)
2017-08-05 07:20 EDT, Joachim Frieben
no flags Details
File: open_fds (3.78 KB, text/plain)
2017-08-05 07:20 EDT, Joachim Frieben
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-08-05 07:20 EDT, Joachim Frieben
no flags Details
File: var_log_messages (1.58 KB, text/plain)
2017-08-05 07:20 EDT, Joachim Frieben
no flags Details
monitors.xml (7.04 KB, text/plain)
2017-10-03 16:40 EDT, Seth Jennings
no flags Details
monitors.xml related to comment 19 (34.10 KB, text/plain)
2017-10-05 07:26 EDT, Kamil Páral
no flags Details

  None (edit)
Description Joachim Frieben 2017-08-05 07:19:46 EDT
Version-Release number of selected component:
gnome-shell-3.25.4-1.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_monitor_mode_get_resolution
executable:     /usr/bin/gnome-shell
journald_cursor: s=daae3b779b0942e4ae4aa18981272a76;i=e3;b=5a366749a5284743b04b7a2df0b9ecee;m=799162c2;t=555fefab304ec;x=42ea2d0c9cb4f525
kernel:         4.13.0-0.rc2.git3.1.fc27.x86_64
rootdir:        /
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_monitor_mode_get_resolution at backends/meta-monitor.c:1552
 #1 calculate_scale at backends/meta-monitor.c:1358
 #2 meta_monitor_calculate_mode_scale at backends/meta-monitor.c:1420
 #3 calculate_monitor_scale at backends/meta-monitor-manager.c:183
 #4 derive_calculated_global_scale at backends/meta-monitor-manager.c:197
 #5 meta_monitor_manager_rebuild_logical_monitors_derived at backends/meta-monitor-manager.c:247
 #6 meta_monitor_manager_update_logical_state_derived at backends/meta-monitor-manager.c:2990
 #7 meta_monitor_manager_rebuild_derived at backends/meta-monitor-manager.c:3006
 #8 meta_monitor_manager_xrandr_handle_xevent at backends/x11/meta-monitor-manager-xrandr.c:1958
 #9 meta_backend_x11_handle_host_xevent at backends/x11/meta-backend-x11.c:238
Comment 1 Joachim Frieben 2017-08-05 07:19:54 EDT
Created attachment 1309344 [details]
File: backtrace
Comment 2 Joachim Frieben 2017-08-05 07:19:56 EDT
Created attachment 1309345 [details]
File: cgroup
Comment 3 Joachim Frieben 2017-08-05 07:19:58 EDT
Created attachment 1309346 [details]
File: core_backtrace
Comment 4 Joachim Frieben 2017-08-05 07:19:59 EDT
Created attachment 1309347 [details]
File: cpuinfo
Comment 5 Joachim Frieben 2017-08-05 07:20:02 EDT
Created attachment 1309348 [details]
File: dso_list
Comment 6 Joachim Frieben 2017-08-05 07:20:04 EDT
Created attachment 1309349 [details]
File: environ
Comment 7 Joachim Frieben 2017-08-05 07:20:06 EDT
Created attachment 1309350 [details]
File: exploitable
Comment 8 Joachim Frieben 2017-08-05 07:20:07 EDT
Created attachment 1309351 [details]
File: limits
Comment 9 Joachim Frieben 2017-08-05 07:20:16 EDT
Created attachment 1309352 [details]
File: maps
Comment 10 Joachim Frieben 2017-08-05 07:20:18 EDT
Created attachment 1309353 [details]
File: open_fds
Comment 11 Joachim Frieben 2017-08-05 07:20:19 EDT
Created attachment 1309354 [details]
File: proc_pid_status
Comment 12 Joachim Frieben 2017-08-05 07:20:21 EDT
Created attachment 1309355 [details]
File: var_log_messages
Comment 13 Jan Kurik 2017-08-15 02:20:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 14 Mikko Tiihonen 2017-08-29 07:57:00 EDT
Similar problem has been detected:

Plugged in external monitor to laptop (using usb-c to display port converter).

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_monitor_mode_get_resolution
executable:     /usr/bin/gnome-shell
journald_cursor: s=2e8eb7c5ea2c4b08b9bb89c0ce0def06;i=9df;b=c87dfd524d714a328ff476e5b8fba092;m=4333d4b;t=557e3121f60ba;x=ee1bab47ea332338
kernel:         4.13.0-0.rc6.git4.2.fc28.x86_64
package:        gnome-shell-3.25.91-1.fc27
reason:         gnome-shell killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Mikko Tiihonen 2017-09-21 02:26:29 EDT
Similar problem has been detected:

I plugged a monitor using usb-c to display port adapter to my laptop. The screen flashes and I get thrown back to login screen.

reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_monitor_mode_get_resolution
executable:     /usr/bin/gnome-shell
journald_cursor: s=2e8eb7c5ea2c4b08b9bb89c0ce0def06;i=1d3ee;b=1b18f56c32a340cc9342e8f793ea8dc8;m=12ed7787;t=559ad22b211cd;x=634fd67cbbee2dba
kernel:         4.14.0-0.rc1.git1.2.fc28.x86_64
package:        gnome-shell-3.26.0-1.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Seth Jennings 2017-10-03 16:18:56 EDT
Just did a "dnf system-upgrade" to F27 beta and booted into this :-/
Comment 17 Seth Jennings 2017-10-03 16:24:03 EDT
Discovered that if I remove my ~/.config/monitors* files, the error is avoided.  Maybe a backward incompatibility with the new version of Gnome and the monitors.xml file?
Comment 18 Seth Jennings 2017-10-03 16:40 EDT
Created attachment 1333926 [details]
monitors.xml

Errors from gnone-shell and attached monitors.xml

Oct 03 15:30:37 gnome-shell[3079]: Ignoring invalid monitor configuration for HDMI2:KMR:VP-4XX:0x00000031, eDP1:AUO:0x123d:0x00000000: Config is missing primary logical
Oct 03 15:30:37 gnome-shell[3079]: Ignoring invalid monitor configuration for HDMI2:SEC:EPSON PJ:0x01010101, eDP1:AUO:0x123d:0x00000000: Config is missing primary logical
Oct 03 15:30:37 gnome-shell[3079]: Ignoring invalid monitor configuration for HDMI-2:BNQ:BenQ PJ:0x00000c76, eDP-1:AUO:0x123d:0x00000000: Config is missing primary logical
Oct 03 15:30:37 gnome-shell[3079]: Ignoring invalid monitor configuration for DP1:ACR:Acer S201HL:LNY080034227, eDP1:AUO:0x123d:0x00000000: Config is missing primary logical
Comment 19 Kamil Páral 2017-10-05 07:24:58 EDT
Similar problem has been detected:

After my Fedora 26 got upgraded to Fedora 27, I could no longer log in. After providing a password in gdm, I saw only a black screen and could not do anything. I found out that removing ~/.config/monitors.xml solves this issue.

If I put the file back in, I still can't log in. However, that only happens with a certain monitor configuration:
a) laptop screen enabled, no other display connected - can't log in
b) laptop screen disabled (closed), two other screens connected - can log in

So the monitors.xml make gnome-shell crash only during a), not b). I can speculate that's because when I upgraded from F26 to F27, I had the b) setup active.

reporter:       libreport-2.9.2
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: meta_monitor_mode_get_resolution
executable:     /usr/bin/gnome-shell
journald_cursor: s=5f16c1c5e6ee42bb89ab5d511982a9bf;i=53f4f;b=62b9d74a6efd47aeb9aaa800a00785cd;m=a4ff31f3;t=55acab61df20c;x=6e481cde7dd9f0a3
kernel:         4.13.4-300.fc27.x86_64
package:        gnome-shell-3.26.0-1.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Kamil Páral 2017-10-05 07:26 EDT
Created attachment 1334763 [details]
monitors.xml related to comment 19
Comment 21 Kamil Páral 2017-10-05 07:30:53 EDT
Proposing as F27 blocker. This is already reported by quite a lot of people. It seems related to external displays, and the most critical part of this is that it can prevent logging in completely (see comment 17 to 19). This is a conditional violation of:
"A system installed without a graphical package set must boot to a working login prompt without any unintended user intervention, and all virtual consoles intended to provide a working login prompt must do so. "
https://fedoraproject.org/wiki/Fedora_27_Beta_Release_Criteria#Expected_installed_system_boot_behavior
when certain external displays are plugged in, maybe just for upgraded systems (unclear).
Comment 22 Kamil Páral 2017-10-05 08:44:17 EDT
Good news, mutter-3.26.1-1.fc27 [1] fixes the problem for me - I can now log in even with the "broken" monitors.xml and just the laptop screen active.

Everybody else affected, can you please try whether this new mutter build fixes the problem for you? Thanks!

[1] https://koji.fedoraproject.org/koji/buildinfo?buildID=979923
Comment 23 Seth Jennings 2017-10-05 10:33:56 EDT
Confirmed, mutter-3.26.1-1.fc27 fixes it for me.
Comment 24 Vadim Rutkovsky 2017-10-07 10:24:06 EDT
Similar problem has been detected:

Crashes in wayland session. Xorg works fin

reporter:       libreport-2.9.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_monitor_mode_get_resolution
executable:     /usr/bin/gnome-shell
journald_cursor: s=cd69823e7c5d4ed68ad6cc87fe07e374;i=1df3d;b=8e7a2f333ca1447dacf3bb5cec19040b;m=406dfd2;t=55af54440212b;x=280dc40aff5dfbf2
kernel:         4.13.5-300.fc27.x86_64
package:        gnome-shell-3.26.0-1.fc27
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 25 Kamil Páral 2017-10-09 12:16:54 EDT
Discussed at blocker review meeting [1]:

AcceptedBlocker - This bug violates the criterion: "A system installed without a graphical package set must boot to a working login prompt without any unintended user intervention, and all virtual consoles intended to provide a working login prompt must do so."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2017-10-09/
Comment 26 Adam Williamson 2017-10-17 15:58:50 EDT
mutter-3.26.1-2.fc27 is tagged f27 (meaning it's in current stable), so I'm closing this as fixed. Please re-open if anyone is still experiencing it with mutter-3.26.1-2.fc27 or higher.

Note You need to log in before you can comment on or make changes to this bug.